---
title: kubefed
notitle: true
---
## kubefed

kubefed controls a Kubernetes Cluster Federation

### Synopsis


kubefed controls a Kubernetes Cluster Federation. 

Find more information at [https://github.com/kubernetes/kubernetes](https://github.com/kubernetes/kubernetes).

```
kubefed
```

### Options

```
      --alsologtostderr                         log to standard error as well as files
      --as string                               Username to impersonate for the operation
      --as-group stringArray                    Group to impersonate for the operation, this flag can be repeated to specify multiple groups.
      --certificate-authority string            Path to a cert file for the certificate authority
      --client-certificate string               Path to a client certificate file for TLS
      --client-key string                       Path to a client key file for TLS
      --cloud-provider-gce-lb-src-cidrs cidrs   CIDRS opened in GCE firewall for LB traffic proxy & health checks (default 209.85.152.0/22,209.85.204.0/22,130.211.0.0/22,35.191.0.0/16)
      --cluster string                          The name of the kubeconfig cluster to use
      --context string                          The name of the kubeconfig context to use
      --insecure-skip-tls-verify                If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure
      --kubeconfig string                       Path to the kubeconfig file to use for CLI requests.
      --log-backtrace-at traceLocation          when logging hits line file:N, emit a stack trace (default :0)
      --log-dir string                          If non-empty, write log files in this directory
      --log-flush-frequency duration            Maximum number of seconds between log flushes (default 5s)
      --logtostderr                             log to standard error instead of files (default true)
      --match-server-version                    Require server version to match client version
  -n, --namespace string                        If present, the namespace scope for this CLI request
      --password string                         Password for basic authentication to the API server
      --request-timeout string                  The length of time to wait before giving up on a single server request. Non-zero values should contain a corresponding time unit (e.g. 1s, 2m, 3h). A value of zero means don't timeout requests. (default "0")
  -s, --server string                           The address and port of the Kubernetes API server
      --stderrthreshold severity                logs at or above this threshold go to stderr (default 2)
      --token string                            Bearer token for authentication to the API server
      --user string                             The name of the kubeconfig user to use
      --username string                         Username for basic authentication to the API server
  -v, --v Level                                 log level for V logs
      --vmodule moduleSpec                      comma-separated list of pattern=N settings for file-filtered logging
```

### SEE ALSO
* [kubefed init](kubefed_init.md)	 - Initialize a federation control plane
* [kubefed join](kubefed_join.md)	 - Join a cluster to a federation
* [kubefed options](kubefed_options.md)	 - Print the list of flags inherited by all commands
* [kubefed unjoin](kubefed_unjoin.md)	 - Unjoin a cluster from a federation
* [kubefed version](kubefed_version.md)	 - Print the client and server version information

###### Auto generated by spf13/cobra on 30-Jul-2017
